#### PyKDE - Python Bindings for KDE

# class KAutoMount |
Table of contents
Modules
tdeio Classes
All Classes

Module | tdeio
Class | KAutoMount
Inherits | TQObject

### methods

- KAutoMount (readonly, format, device, mountpoint, desktopFile, show_filemanager_window = 1)

  returns a KAutoMount instance
  Argument | Type | Default
  --- | --- | ---
  readonly | bool |
  format | TQString |
  device | TQString |
  mountpoint | TQString |
  desktopFile | TQString |
  show_filemanager_window | bool | 1

- error ()

  returns nothing

- finished ()

  returns nothing

- slotResult (a0)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  a0 | _TDEIO.Job |

- ~KAutoMount ()

  returns nothing